import { iterate } from '../internals';
export function forEach(fn, map) {
    var it = iterate(map);
    var current;
    var index = 0;
    while (!(current = it.next()).done) {
        var entry = current.value;
        var signal = fn(entry.value, entry.key.key, index++);
        if (signal === false)
            break;
    }
    return map;
}

//# sourceMappingURL=forEach.js.map
