"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@collectable/core");
const internals_1 = require("../internals");
function set(key, value, map) {
    var nextSet = core_1.modify(map);
    const modified = internals_1.setItem(key, value, nextSet._indexed, nextSet._sorted, nextSet._select);
    core_1.commit(nextSet);
    return modified ? nextSet : map;
}
exports.set = set;

//# sourceMappingURL=set.js.map
