import { isMutationContext, isBoolean } from '@collectable/core';
import { emptySortedMap, isSortedMap as _isSortedMap } from '../internals';
export function empty(arg0, arg1, select) {
    var mutable;
    var compare;
    if (typeof arg0 === 'function') {
        compare = arg0;
        if (typeof arg1 === 'function') {
            select = arg1;
        }
        mutable = false;
    }
    else {
        mutable = isMutationContext(arg0) || isBoolean(arg0) ? arg0 : false;
    }
    return emptySortedMap(compare, select, mutable);
}
export function isSortedMap(arg) {
    return _isSortedMap(arg);
}

//# sourceMappingURL=empty.js.map
