import { MutationContext, ComparatorFn, KeyedSelectorFn } from '@collectable/core';
import { SortedMapStructure, SortedMapEntry } from '../internals';
export declare function empty<K, V>(compare?: ComparatorFn<SortedMapEntry<K, V, undefined>>): SortedMapStructure<K, V>;
export declare function empty<K, V, U>(compare: ComparatorFn<SortedMapEntry<K, V, U>>, select: KeyedSelectorFn<K, V, U>): SortedMapStructure<K, V>;
export declare function empty<K, V>(mutable: boolean | MutationContext, compare?: ComparatorFn<SortedMapEntry<K, V, undefined>>): SortedMapStructure<K, V>;
export declare function empty<K, V, U>(mutable: boolean | MutationContext, compare: ComparatorFn<SortedMapEntry<K, V, U>>, select: KeyedSelectorFn<K, V, U>): SortedMapStructure<K, V>;
export declare function isSortedMap<K, V>(arg: any): arg is SortedMapStructure<K, V>;
