import { ComparatorFn, KeyedSelectorFn } from '@collectable/core';
import { SortedMapStructure, SortedMapEntry } from '../internals';
export declare function fromArray<K, V>(pairs: [K, V][], compare?: ComparatorFn<SortedMapEntry<K, V, undefined>>): SortedMapStructure<K, V, undefined>;
export declare function fromArray<K, V, U>(pairs: [K, V][], compare: ComparatorFn<SortedMapEntry<K, V, U>>, select: KeyedSelectorFn<K, V, U>): SortedMapStructure<K, V, U>;
export declare function fromIterable<K, V>(pairs: Iterable<[K, V]>, compare?: ComparatorFn<SortedMapEntry<K, V, undefined>>): SortedMapStructure<K, V, undefined>;
export declare function fromIterable<K, V, U>(pairs: Iterable<[K, V]>, compare: ComparatorFn<SortedMapEntry<K, V, U>>, select: KeyedSelectorFn<K, V, U>): SortedMapStructure<K, V>;
